<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.smarking.mapper.report.reportsubject.MsrSubjectQuestionRankgroupMapper">

    <!--命题质量-试题分析-分组分数-->
    <select id="listMtzlRankgroup" resultType="java.util.Map">
        select sqrgid,rgroup,rgroupname,rgtype,rsection,stunum,avgrate from msr_subject_question_rankgroup
        where examid=#{param.examid} and subjectid=#{param.subjectid}
        <if test="param.qntype == 1"> and qntype=1 and mptqid=#{param.mptqid}</if>
        <if test="param.qntype == 2"> and qntype=2</if>
        <if test="param.qntype == 3"> and qntype=3</if>
        <if test="param.rgtype != null and param.rgtype != 0"> and rgtype=#{param.rgtype}</if>
        order by sqrgid
    </select>
</mapper>
